Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.discovery
[Java] Class GroovyPageStaticResourceLocator

    java.lang.Object
      org.codehaus.groovy.grails.core.io.DefaultResourceLocator
          org.codehaus.groovy.grails.web.pages.discovery.GroovyPageStaticResourceLocator

    public class GroovyPageStaticResourceLocator
    extends DefaultResourceLocator

Extends the DefaultResourceLocator class with extra methods to evaluate static resources relative to the currently executing GSP page.

This class is used to resolve references to static resources like CSS, Javascript and images files

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class DefaultResourceLocator
CLOSURE_MARKER, FILE_SEPARATOR, NULL_RESOURCE, WEB_APP_DIR, WILDCARD, classNameToResourceCache, classSearchDirectories, defaultResourceLoader, patchMatchingResolver, pluginManager, resourceSearchDirectories, uriToResourceCache, warDeployed

Method Summary
`org.springframework.core.io.Resource` | `findResourceForURI(java.lang.String uri)`

Methods inherited from class DefaultResourceLocator
findResourceForClassName, findResourceForURI, findResourceInBinaryPlugins, getDefaultResourceLoader, setPluginManager, setResourceLoader, setSearchLocation, setSearchLocations

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### findResourceForURI

    @java.lang.Override
    public org.springframework.core.io.Resource findResourceForURI(java.lang.String uri)

Groovy Documentation